
// Ukrywanie ikonek w CMSie
function Ukryj_ikonki() {
   var trs = window.frames["ramka"].document.getElementsByTagName("span");
   for(i=0;i<trs.length;i++){
       if(trs[i].id=="ico"){
          if(trs[i].style.display=='none') trs[i].style.display='inline';
          else trs[i].style.display='none';
       }
   }
}

function Minimalizuj_wszystkie() {
    Windows.minimizeAll();

}

// Zmienia pozycje iframe (scroll'a)
function zmien_pozycje(id_ramki, y){
	document.getElementById(id_ramki).contentWindow.scrollBy(0,y-odczytaj_pozycje(id_ramki));
}



// Odczytanie aktualnej pozycji scroll w iframe
function odczytaj_pozycje(id_ramki){
	pozycja_iframe = window.frames[id_ramki].document.documentElement.scrollTop || document.getElementById(id_ramki).contentWindow.pageYOffset || 0;
	return pozycja_iframe;

}



// Od¶wieżanie ramki głównej
function Odswiez_strone(){

	var pozycja = odczytaj_pozycje("ramka");
	//alert("Pozycja: "+pozycja);
	
	// Po odswierzeniu, za 2 sekundy ustaw pozycje
   setTimeout("zmien_pozycje('ramka'," + pozycja + ")", 2000);
	
	
	// Od¶wieżam iframe
	var f = document.getElementById("ramka");
	var adres = window.location.hash.substr(1);
	if(adres!=""){
		f.src = window.location.hash.substr(1);	
	}else{
		f.src = "./";
	}
	
}



// Zmieniamy adres w ramce
function zmien_adres_ramki(adres){
	var f = document.getElementById("ramka");
	f.src = adres;
}